/*	USAGE: cat slownik | ./decode

	Neutrinka
	jolach@kwant.info
*/

#include <stdio.h>

char *crypt(const char *key, const char *salt);

/* zmiencie key :> */
char key[14] = "A1mAeeS9nWhAU";

int main ( void )
{
    char buf[31]= "0";
    char wynik[14]= "0";
    int i;
    
    while( strcmp( wynik, key ) != 0)
    {
    i = (int)fgets(buf, 30, stdin);
    if( !i ) exit(0);
    buf[ strlen(buf) -1 ] = 0;
    sprintf(wynik, "%s", crypt( buf, key ) );
    }
    
    printf("%s\n", buf);

    return 0;
}
